Bug 6258 - samba 3.2.10 fails to build on Redhat Enterprise Linux 5.3 (patch included)
samba 3.2.10 fails to build on Redhat Enterprise Linux 5.3 (patch included)
Status: RESOLVED FIXED
Product: Samba 3.2
Classification: Unclassified
Component: Build environment
3.2.10
All Linux
: P3 major
: ---
Assigned To: Samba Bugzilla Account
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2009-04-13 13:25 UTC by Adam Williams
Modified: 2009-05-11 04:26 UTC (History)
0 users

See Also:


Attachments
patch to samba 3.2.10 source to fix packaging build error on Redhat Enterprise Linux 5.3 (470 bytes, patch)
2009-04-13 13:26 UTC, Adam Williams
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Williams 2009-04-13 13:25:07 UTC
running samba-3.2.10/packaging/RHEL/makerpms.sh yields:

                ln -f -s `basename bin/libwbclient.so.0` \
                        /var/tmp/samba-3.2.10-root/usr/lib64/samba/`basename bin/libwbclient.so` ; \
        fi
/usr/bin/install -c -m 0644 /usr/src/redhat/BUILD/samba-3.2.10/source/nsswitch/libwbclient/wbclient.h /var/tmp/samba-3.2.10-root/usr/include
/usr/bin/install -c bin/libnetapi.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/samba
if test -r bin/libnetapi.so.0 ; then \
                ln -f -s `basename bin/libnetapi.so.0` \
                        /var/tmp/samba-3.2.10-root/usr/lib64/samba/`basename bin/libnetapi.so` ; \
        fi
: bin/libnetapi.a /var/tmp/samba-3.2.10-root/usr/lib64/samba
/usr/bin/install -c -m 0644 /usr/src/redhat/BUILD/samba-3.2.10/source/lib/netapi/netapi.h /var/tmp/samba-3.2.10-root/usr/include
/usr/bin/install -c bin/libsmbclient.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/samba
if test -r bin/libsmbclient.so.0 ; then \
                ln -f -s `basename bin/libsmbclient.so.0` \
                        /var/tmp/samba-3.2.10-root/usr/lib64/samba/`basename bin/libsmbclient.so` ; \
        fi
: bin/libsmbclient.a /var/tmp/samba-3.2.10-root/usr/lib64/samba
/usr/bin/install -c -m 0644 /usr/src/redhat/BUILD/samba-3.2.10/source/include/libsmbclient.h /var/tmp/samba-3.2.10-root/usr/include
/usr/bin/install -c bin/libsmbsharemodes.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/samba
if test -r bin/libsmbsharemodes.so.0 ; then \
                ln -f -s `basename bin/libsmbsharemodes.so.0` \
                        /var/tmp/samba-3.2.10-root/usr/lib64/samba/`basename bin/libsmbsharemodes.so` ; \
        fi
: bin/libsmbsharemodes.a /var/tmp/samba-3.2.10-root/usr/lib64/samba
/usr/bin/install -c -m 0644 /usr/src/redhat/BUILD/samba-3.2.10/source/include/smb_share_modes.h /var/tmp/samba-3.2.10-root/usr/include
+ cd ..
+ install -m 755 source/nsswitch/libnss_winbind.so /var/tmp/samba-3.2.10-root/lib64/libnss_winbind.so.2
+ install -m 755 source/nsswitch/libnss_wins.so /var/tmp/samba-3.2.10-root/lib64/libnss_wins.so.2
+ cd /var/tmp/samba-3.2.10-root/lib64
+ ln -sf libnss_winbind.so.2 libnss_winbind.so
+ ln -sf libnss_wins.so.2 libnss_wins.so
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libsmbclient.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libsmbclient.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libsmbsharemodes.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libsmbsharemodes.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libwbclient.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libwbclient.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libtalloc.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libtalloc.so.1 /var/tmp/samba-3.2.10-root/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libtdb.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libtdb.so.1 /var/tmp/samba-3.2.10-root/usr/lib64/
+ for library in libsmbclient libsmbsharemodes libwbclient libtalloc libtdb libnetapi
+ mv -f /var/tmp/samba-3.2.10-root/usr/lib64/samba/libnetapi.so /var/tmp/samba-3.2.10-root/usr/lib64/samba/libnetapi.so.0 /var/tmp/samba-3.2.10-root/usr/lib64/
+ /bin/rm -rf '/var/tmp/samba-3.2.10-root/usr/lib*/samba/security'
+ echo 127.0.0.1 localhost
+ install -m644 setup/samba.log /var/tmp/samba-3.2.10-root/etc/logrotate.d/samba
+ install -m644 setup/swat /var/tmp/samba-3.2.10-root/etc/xinetd.d/swat
+ install -m644 setup/samba.sysconfig /var/tmp/samba-3.2.10-root/etc/sysconfig/samba
+ install -m755 setup/smb.init /var/tmp/samba-3.2.10-root/etc/rc.d/init.d/smb
+ install -m755 setup/winbind.init /var/tmp/samba-3.2.10-root/etc/rc.d/init.d/winbind
+ install -m644 setup/samba.pamd /var/tmp/samba-3.2.10-root/etc/pam.d/samba
+ install -m755 setup/smbprint /var/tmp/samba-3.2.10-root/usr/bin
+ install -m644 setup/smbusers /var/tmp/samba-3.2.10-root/etc/samba/smbusers
+ install -m644 setup/smb.conf /var/tmp/samba-3.2.10-root/etc/samba/smb.conf
+ install -m755 source/bin/mount.cifs /var/tmp/samba-3.2.10-root/sbin/mount.cifs
+ install -m755 source/bin/umount.cifs /var/tmp/samba-3.2.10-root/sbin/umount.cifs
+ install -m755 source/script/mksmbpasswd.sh /var/tmp/samba-3.2.10-root/usr/bin
+ /bin/rm /var/tmp/samba-3.2.10-root/usr/sbin/mount.cifs /var/tmp/samba-3.2.10-root/usr/sbin/umount.cifs
+ ln -s ../../etc/rc.d/init.d/smb /var/tmp/samba-3.2.10-root/usr/sbin/samba
+ ln -s ../../etc/rc.d/init.d/winbind /var/tmp/samba-3.2.10-root/usr/sbin/winbind
+ find /var/tmp/samba-3.2.10-root -name '*.old' -exec rm -f '{}' ';'
+ rm -rf docs/htmldocs
+ rm -rf docs/manpages
+ cd docs
+ ln -s /usr/share/swat/help htmldocs
+ rm -f /var/tmp/samba-3.2.10-root/usr/share/man/man1/log2pcap.1
+ rm -f '/var/tmp/samba-3.2.10-root/usr/share/man/man1/smbsh.1*'
+ rm -f '/var/tmp/samba-3.2.10-root/usr/share/man/man5/vfstest.1*'
+ /usr/lib/rpm/brp-compress
+ /usr/lib/rpm/brp-strip
+ /usr/lib/rpm/brp-strip-static-archive
+ /usr/lib/rpm/brp-strip-comment-note
Processing files: samba-3.2.10-1
Provides: ad.so()(64bit) audit.so()(64bit) cap.so()(64bit) config(samba) = 0:3.2.10-1 default_quota.so()(64bit) expand_msdfs.so()(64bit) extd_audit.so()(64bit) fake_perms.so()(64bit) fileid.so()(64bit) full_audit.so()(64bit) netatalk.so()(64bit) readahead.so()(64bit) readonly.so()(64bit) recycle.so()(64bit) rid.so()(64bit) samba = 3.2.10 script.so()(64bit) shadow_copy.so()(64bit) shadow_copy2.so()(64bit) smb_traffic_analyzer.so()(64bit) streams_depot.so()(64bit) streams_xattr.so()(64bit) syncops.so()(64bit) xattr_tdb.so()(64bit)
Requires(interp): /bin/sh /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires(preun): /bin/sh
Requires(postun): /bin/sh
Requires: /bin/sh /etc/pam.d/system-auth ad.so()(64bit) config(samba) = 0:3.2.10-1 initscripts >= 5.54-1 libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.4)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libcups.so.2()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.3.so.0()(64bit) libldap-2.3.so.0()(64bit) libm.so.6()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpopt.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) libz.so.1()(64bit) logrotate >= 3.4 pam >= 0.64 rtld(GNU_HASH) samba-common = 3.2.10-1
Processing files: samba-client-3.2.10-1
Provides: samba-client = 3.2.10-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires: /bin/sh /usr/bin/perl libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.3.so.0()(64bit) libldap-2.3.so.0()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libpopt.so.0()(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libuuid.so.1()(64bit) libwbclient.so.0()(64bit) rtld(GNU_HASH) samba-common = 3.2.10-1
Obsoletes: smbfs
Processing files: samba-common-3.2.10-1
Provides: CP437.so()(64bit) CP850.so()(64bit) config(samba-common) = 0:3.2.10-1 libnetapi.so.0()(64bit) libnss_winbind.so.2()(64bit) libnss_wins.so.2()(64bit) libsmbclient.so.0()(64bit) libsmbsharemodes.so.0()(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) pam_smbpass.so()(64bit) pam_winbind.so()(64bit) samba-common = 3.2.10-1
Requires(interp): /bin/sh /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires(postun): /bin/sh
Requires: config(samba-common) = 0:3.2.10-1 libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.3.so.0()(64bit) libldap-2.3.so.0()(64bit) libnetapi.so.0()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libnss_winbind.so.2()(64bit) libnss_wins.so.2()(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpam.so.0(LIBPAM_EXTENSION_1.0)(64bit) libpopt.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libsmbclient.so.0()(64bit) libsmbsharemodes.so.0()(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) rtld(GNU_HASH)
Processing files: samba-swat-3.2.10-1
Provides: config(samba-swat) = 0:3.2.10-1 samba-swat = 3.2.10-1
Requires(interp): /bin/sh
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Requires(post): /bin/sh
Requires: config(samba-swat) = 0:3.2.10-1 libc.so.6()(64bit) libc.so.6(GLIBC_2.2.5)(64bit) libc.so.6(GLIBC_2.3)(64bit) libc.so.6(GLIBC_2.5)(64bit) libcom_err.so.2()(64bit) libcrypt.so.1()(64bit) libcups.so.2()(64bit) libdl.so.2()(64bit) libdl.so.2(GLIBC_2.2.5)(64bit) libgssapi_krb5.so.2()(64bit) libgssapi_krb5.so.2(gssapi_krb5_2_MIT)(64bit) libk5crypto.so.3()(64bit) libk5crypto.so.3(k5crypto_3_MIT)(64bit) libkrb5.so.3()(64bit) libkrb5.so.3(krb5_3_MIT)(64bit) liblber-2.3.so.0()(64bit) libldap-2.3.so.0()(64bit) libm.so.6()(64bit) libnsl.so.1()(64bit) libnsl.so.1(GLIBC_2.2.5)(64bit) libpam.so.0()(64bit) libpam.so.0(LIBPAM_1.0)(64bit) libpopt.so.0()(64bit) libpthread.so.0()(64bit) libpthread.so.0(GLIBC_2.2.5)(64bit) libresolv.so.2()(64bit) libresolv.so.2(GLIBC_2.2.5)(64bit) libtalloc.so.1()(64bit) libtdb.so.1()(64bit) libwbclient.so.0()(64bit) libz.so.1()(64bit) rtld(GNU_HASH) samba = 3.2.10 xinetd
Processing files: samba-doc-3.2.10-1
Executing(%doc): /bin/sh -e /var/tmp/rpm-tmp.10521
+ umask 022
+ cd /usr/src/redhat/BUILD
+ cd samba-3.2.10
+ DOCDIR=/var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ export DOCDIR
+ rm -rf /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ /bin/mkdir -p /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ cp -pr README COPYING Manifest /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ cp -pr WHATSNEW.txt Roadmap /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ cp -pr docs /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ cp -pr examples/autofs examples/LDAP examples/libsmbclient examples/misc examples/printer-accounting /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ cp -pr examples/printing /var/tmp/samba-3.2.10-root/usr/share/doc/samba-doc-3.2.10
+ exit 0
Provides: samba-doc = 3.2.10-1
Requires(rpmlib): rpmlib(CompressedFileNames) <= 3.0.4-1 rpmlib(PayloadFilesHavePrefix) <= 4.0-1 rpmlib(VersionedDependencies) <= 3.0.3-1
Checking for unpackaged file(s): /usr/lib/rpm/check-files /var/tmp/samba-3.2.10-root
error: Installed (but unpackaged) file(s) found:
   /usr/sbin/cifs.upcall
   /usr/share/man/man8/cifs.upcall.8.gz


RPM build errors:
    Installed (but unpackaged) file(s) found:
   /usr/sbin/cifs.upcall
   /usr/share/man/man8/cifs.upcall.8.gz
makerpms.sh: Done.



here is the patch:

--- samba-3.2.10/packaging/RHEL/samba.spec      2009-04-01 06:51:48.000000000 -0500
+++ /root/samba-3.2.10/packaging/RHEL/samba.spec        2009-04-13 12:40:42.000000000 -0500
@@ -338,6 +338,7 @@
 %{_sbindir}/smbd
 %{_sbindir}/nmbd
 %{_sbindir}/winbindd
+%{_sbindir}/cifs.upcall

 %{_bindir}/mksmbpasswd.sh
 %{_bindir}/smbcontrol
@@ -372,7 +373,7 @@
 %{_mandir}/man1/wbinfo.1*
 %{_mandir}/man8/vfs_*.8*
 %{_mandir}/man8/idmap_*.8*
-
+%{_mandir}/man8/cifs.upcall.8*

 ##########
Comment 1 Adam Williams 2009-04-13 13:26:13 UTC
Created attachment 4060 [details]
patch to samba 3.2.10 source to fix packaging build error on Redhat Enterprise Linux 5.3
Comment 2 Karolin Seeger 2009-05-11 04:26:17 UTC
This one is fixed meanwhile.
Thanks for reporting!